Name:		slim
Version:	1.3.3
Release:	%mkrel 2
Summary:	Simple login manager
Group:		System/X11
License:	GPLv2+
URL:		http://slim.berlios.de
Source0:	http://slim.berlios.de/releases/%{name}-%{version}.tar.gz
Source1:	%{name}.pam
Source2:	25%{name}.conf
Patch1:		%{name}-1.3.2-config.patch
Patch2:		%{name}-1.3.0-libgen.patch
BuildRequires:	libxmu-devel
BuildRequires:	libxft-devel
BuildRequires:	libxrender-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	pkgconfig
BuildRequires:	gettext
BuildRequires:	pam-devel
BuildRequires:  cmake

Requires:	pam >= 0.80
Requires:	%{_real_vendor}-theme
Requires:       consolekit

Provides:	dm

%description
SLiM (Simple Login Manager) is a Desktop-independent graphical 
login manager for X11.
 
It aims to be light and simple, although completely configurable 
through themes and an option file; is suitable for machines on which 
remote login functionalities are not needed.

Features included:
 
* PNG and XFT support for alpha transparency and antialiased fonts
* External themes support
* Configurable runtime options: X server, login / shutdown / reboot commands
* Single (GDM-like) or double (XDM-like) input control
* Can load predefined user at startup
* Configurable welcome / shutdown messages
* Random theme selection


%prep
%setup -q
%patch1 -p0
%patch2 -p0

%build
%cmake -DUSE_PAM=yes

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/%{name}

mkdir -p %{buildroot}%{_datadir}/X11/dm.d
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/X11/dm.d/25%{name}.conf

# (tpg) use background from mageia-theme
rm -f %{buildroot}%{_datadir}/slim/themes/default/background.jpg
ln -s ../../../mga/backgrounds/default.jpg %{buildroot}%{_datadir}/slim/themes/default/background.jpg

%files
%doc ChangeLog README THEMES TODO
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_datadir}/X11/dm.d/25%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%dir %{_datadir}/slim
%{_bindir}/slim*
%{_datadir}/slim/themes/
%{_mandir}/man1/*


%changelog

* Fri Mar 30 2012 kamil <kamil> 1.3.3-2.mga2
+ Revision: 227556
- use consolekit's ck-launch-session for login_cmd (to fix possible problems with PolicyKit)

* Mon Feb 27 2012 kamil <kamil> 1.3.3-1.mga2
+ Revision: 215690
- new version 1.3.3
- drop P0 - upstream switched to cmake
- drop P3 - merged upstream
- rediff P1 and P2
- build now with cmake

* Thu Sep 15 2011 fwang <fwang> 1.3.2-3.mga2
+ Revision: 143755
- fix build with libpng1.5

* Fri May 13 2011 ahmad <ahmad> 1.3.2-3.mga1
+ Revision: 98206
+ rebuild (emptylog)

* Fri May 13 2011 ahmad <ahmad> 1.3.2-2.mga1
+ Revision: 98205
- Rediff the config patch, now slim.conf uses the various actual session names
  which should enable users to log into the available DE's (mga#1255)

* Sat Mar 19 2011 ennael <ennael> 1.3.2-1.mga1
+ Revision: 74455
- clean spec file
- imported package slim

